> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Skill from a Particular Skill Group

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

Use this API to delete a particular skill with the given `botId` and `agentId`.

| **Method**        | DELETE                                                                                                                         |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/agentassist/api/v1/public/{{botId}}/skill-groups/{{skillGroupId}}/skills/{{skillId}}`                        |
| **Content Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | SmartAssist Analytics                                                                                                          |

## Path Parameters

| **Parameter**  | **Description**                                               | **Type**         |
| -------------- | ------------------------------------------------------------- | ---------------- |
| `host`         | Environment URL, for example, `https://platform.kore.ai`      | string, required |
| `streamId`     | botId or streamId. You can get it from the App Settings page. | string, required |
| `skillGroupId` | Id of the Skill Group.                                        | string, required |
| `skillId`      | Id of the Skill.                                              | string, required |

## Sample Request

```
curl --location --request DELETE \
     'https://{{host}}/agentassist/api/v1/public/{{botId}}/skill-groups/{{skillGroupId}}/skills/{{skillId}}' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
```
